Hi there,
I am trying to establish a ConstructionPlane
.
Yet e.g. the axes are not properly working.
What am I doing wrong here?
This is the code:
ConstructionPlane cPlane = new ConstructionPlane();
cPlane.Plane = plane;
cPlane.ShowGrid = true;
cPlane.ShowAxes = true;
cPlane.ShowZAxis = true;
cPlane.ThinLineColor = System.Drawing.Color.Yellow;
cPlane.ThickLineColor = System.Drawing.Color.PaleTurquoise;
cPlane.GridXColor = System.Drawing.Color.Blue;
cPlane.GridYColor = System.Drawing.Color.Pink;
cPlane.GridZColor = System.Drawing.Color.Black;
cPlane.GridLineCount = 100;
cPlane.GridSpacing = 40;
cPlane.ThickLineFrequency = 5;
foreach (var viewport in Rhino.RhinoDoc.ActiveDoc.Views)
{
viewport.ActiveViewport.SetConstructionPlane(cPlane);
viewport.Redraw();
}
This is the output:
Thanks,
T.